<?php
/**
 * ActualCategoryPropertyTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi PIM.
 *
 * PIM
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\PimClient;

use PHPUnit\Framework\TestCase;

/**
 * ActualCategoryPropertyTest Class Doc Comment
 *
 * @category    Class
 * @description ActualCategoryProperty
 * @package     Ensi\PimClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class ActualCategoryPropertyTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "ActualCategoryProperty"
     */
    public function testActualCategoryProperty()
    {
    }

    /**
     * Test attribute "id"
     */
    public function testPropertyId()
    {
    }

    /**
     * Test attribute "category_id"
     */
    public function testPropertyCategoryId()
    {
    }

    /**
     * Test attribute "property_id"
     */
    public function testPropertyPropertyId()
    {
    }

    /**
     * Test attribute "created_at"
     */
    public function testPropertyCreatedAt()
    {
    }

    /**
     * Test attribute "updated_at"
     */
    public function testPropertyUpdatedAt()
    {
    }

    /**
     * Test attribute "is_required"
     */
    public function testPropertyIsRequired()
    {
    }

    /**
     * Test attribute "is_gluing"
     */
    public function testPropertyIsGluing()
    {
    }

    /**
     * Test attribute "is_inherited"
     */
    public function testPropertyIsInherited()
    {
    }

    /**
     * Test attribute "is_common"
     */
    public function testPropertyIsCommon()
    {
    }

    /**
     * Test attribute "category"
     */
    public function testPropertyCategory()
    {
    }

    /**
     * Test attribute "property"
     */
    public function testPropertyProperty()
    {
    }
}
